Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::FileInputStream Class Reference

ファイル入力ストリーム More...

`#include <FileInputStream.h>`

Inheritance diagram for Lamp::FileInputStream:

List of all members.

## Public Member Functions
| FileInputStream (String fileName)
| コンストラクタ
virtual | ~FileInputStream ()
| デストラクタ
virtual FileInputStream * | cloneFileInputStream ()
| ファイル入力ストリームの複製
virtual InputStream * | cloneInputStream ()
| 入力ストリームの複製
## Protected Member Functions
virtual bool | isEnd ()
| 終端かどうか
virtual void | readBytes (void *data, int size)
| バイトデータの読み出し
virtual int | getSize ()
| サイズの取得
virtual void | skip (int size)
| スキップ
virtual int | align (int alignSize)
| アライメントを取る
virtual int | getPosition ()
| 読み込み位置の取得
virtual void | setPosition (int position)
| 読み込み位置の設定

## Detailed Description

ファイル入力ストリーム

Definition at line 37 of file FileInputStream.h.

## Member Function Documentation

int Lamp::FileInputStream::align | ( | int | alignSize | ) | `[protected, virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで読み飛ばします。 Parameters:
  alignSize | アライメントをとるバイト数
Returns: スキップしたバイト数 Implements Lamp::InputStream. Definition at line 86 of file FileInputStream.cpp. References Assert.

FileInputStream * Lamp::FileInputStream::cloneFileInputStream | ( |  | ) | `[virtual]`

| ファイル入力ストリームの複製 Returns: 複製されたファイル入力ストリーム Definition at line 54 of file FileInputStream.cpp. References FileInputStream(), getPosition(), setPosition(), and size_. Referenced by cloneInputStream().

virtual InputStream* Lamp::FileInputStream::cloneInputStream | ( |  | ) | `[inline, virtual]`

| 入力ストリームの複製 Returns: 複製された入力ストリーム Implements Lamp::InputStream. Definition at line 59 of file FileInputStream.h. References cloneFileInputStream().

int Lamp::FileInputStream::getPosition | ( |  | ) | `[protected, virtual]`

| 読み込み位置の取得 Returns: 読み込み位置 Implements Lamp::InputStream. Definition at line 97 of file FileInputStream.cpp. Referenced by cloneFileInputStream().

int Lamp::FileInputStream::getSize | ( |  | ) | `[protected, virtual]`

| サイズの取得 Returns: ストリーム全体のバイト数 Implements Lamp::InputStream. Definition at line 74 of file FileInputStream.cpp.

bool Lamp::FileInputStream::isEnd | ( |  | ) | `[protected, virtual]`

| 終端かどうか Returns: trueなら終端 Implements Lamp::InputStream. Definition at line 62 of file FileInputStream.cpp.

void Lamp::FileInputStream::readBytes | ( | void * | data,
|  | int | size
| ) | `[protected, virtual]`

  | バイトデータの読み出し Parameters:
  data | 読み出し先アドレス
  size | 読み出すサイズ
Implements Lamp::InputStream. Definition at line 67 of file FileInputStream.cpp. References Assert.

void Lamp::FileInputStream::setPosition | ( | int | position | ) | `[protected, virtual]`

  | 読み込み位置の設定 指定された位置に読み込み位置を変更します。 Parameters:
  position | 読み込み位置
Implements Lamp::InputStream. Definition at line 102 of file FileInputStream.cpp. References Assert. Referenced by cloneFileInputStream().

void Lamp::FileInputStream::skip | ( | int | size | ) | `[protected, virtual]`

  | スキップ 指定されたバイト数、読み出しをスキップします。 Parameters:
  size | スキップするバイト数
Implements Lamp::InputStream. Definition at line 79 of file FileInputStream.cpp. References Assert.

The documentation for this class was generated from the following files:

- FileInputStream.h
- FileInputStream.cpp